-- Setup leader key
vim.g.mapleader = " "

-- Lazy: Ensure lazy is installed and present
local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- latest stable release
    lazypath,
  })
end
vim.opt.rtp:prepend(lazypath)

-- Load plugin configuration and init Lazy
require("lazy").setup("plugins", {
  install = {
    missing = true, -- Install missing plugins on startup
  }
})

-- Keybinds
require("keybinds")
